#資料4b
# -*- coding: utf-8 -*-
# Li_ion_battery等価回路データのRPAもどき処理
# li_battery_eq_circuit.py

import openpyxl as excel
import pandas as pd
import matplotlib.pyplot as plt
import numpy as np
import math

book = excel.load_workbook("current_test_3.xlsx")

d = pd.read_excel("current_test_3.xlsx")

num = len(d)
sheet = book.worksheets[0]

R = 12.5
i_ignore = 1000
BB = "B" + str(i_ignore)
BBval = sheet[BB]

for i in range(i_ignore,num):
    inum = i
    BI = "B" + str(inum)
    Bval = sheet[BI]
    ch = Bval.value-BBval.value

    if ch < 0.1 :
        BBval= Bval
        
    else :
        VV1 = BBval
        VV2 = Bval
        njump = inum
        break

V1 = VV1.value
V2 = VV2.value

ns = njump + 100
BF ="B" + str(ns)

VV3 = sheet[BF]
V3 = VV3.value

current = V1/R

R1R2 = (V3-V1)/current

R2 = (V3-V2)/current
R1 = R1R2 - R2

e = 2.71828
V4 =(V3-V2)/e

for j in range(njump,num):
    BE = "B" + str(j)
    BBE = sheet[BE]

    if (V3-BBE.value) < V4 :
        jtconst = j -njump
        VE = BBE.value
        break

Tconst = jtconst*0.01 
CR2 = Tconst

C = CR2/R2

print("V1= ",V1, "(V)") 
print("V2= ",V2, "(V)")
print("V3= ",V3, "(V)")
print("R1= ",R1, "(Ω)")
print("R2= ",R2, "(Ω)")
print("C= ",C, "(F)")
print("CR2=", CR2," time constant")
print("(V3-V2)/(V3-VE)=", (V3-V2)/(V3-VE),"about e (= 2.718)")