#資料2
# -*- coding: utf-8 -*-
# li_ion battery charge discharge test 500回 
# li_battery_test.py

#GPIO用のモジュールをインポート
import RPi.GPIO as GPIO
# timeライブラリーからsleepをインポート
from time import sleep

#GPIOのモードをピン番号で指定するGPIO.BOARとする
GPIO.setmode(GPIO.BOARD)

#ピン番号13を出力番号としそこの電圧をhighとする
#ここから放電ができるようになり実験が始まる
GPIO.setup(13, GPIO.OUT)
GPIO.output(13, GPIO.HIGH)

# NT(予定は600)秒間放電、7*NT/3秒間充電(5V)をN回繰り返す

N = 500
NT = 600
NT2=NT/100
NT3=7*NT/3

GPIO.setup(11, GPIO.OUT)
sleep(NT2)

for i in range(N):
# 充電開始
    GPIO.output(11, GPIO.HIGH)
    sleep(NT3)
#　放電開始
    GPIO.output(11, GPIO.LOW)
    sleep(NT)

sleep(4)
 
GPIO.cleanup()


