#資料3a
# -*- coding: utf-8 -*-
# Li_ion_battery劣化データのRPAもどき処理
# li_battery_data_processing.py

import openpyxl as excel
import pandas as pd
import matplotlib.pyplot as plt
import numpy as np
%matplotlib inline

#book = excel.workbook()
book = excel.load_workbook("4_7_504_1_7.xlsx")

d = pd.read_excel("4_7_504_1_7.xlsx")
#a = d[B].values

#a = book[B].values
num = len(d)

#num = len(book)

sheet = book.worksheets[0]
#output = book.worksheets[1]

i_ignore = 2
i_discharge = 20
i_charge = 20

iter = (num-i_ignore)//(i_discharge+i_charge)



x = []
y = []

for j in range(iter):
    sum1 = 0.0
    sum2 = 0.0
    i_plus = j*(i_discharge+i_charge)+i_ignore

    for i in range(i_discharge):
        num = i + i_plus
        B1 = "B" + str(num)
        C1 = "C" + str(num)
        Bval = sheet[B1]
        Cval = sheet[C1]
        sum1 = sum1 + Bval.value    
        sum2 = sum2 + Cval.value
        

    capacity = 10.0*4.0/50.0*(sum1-sum2)*1000.0/60.0/60.0 

    y.append(capacity)
    x.append(j)

np.savetxt("out.csv",y,delimiter=",")

fig = plt.figure()
ax = fig.add_subplot(1,1,1)
ax.scatter(x,y)
ax.set_xlabel('ieration')
ax.set_ylabel('capacity(mAh)')
ax.set_title('capacity change')

fig.show()

Y = np.array(y.T)
Y.to_csv('./out.csv')

